<?php
/**
 * 虚假房源举报人黑名单
 *
 */
class ComplainBrokerBlacklist extends Complain{
 public function __construct($table = 'complain_broker_blacklist') {
        parent::__construct($table);
    }

    /*
     * 根据条件查找记录
     * findByConf
     */
     public function findByConf($conf,$order='',$offset='',$limit='') {      
        $sql = SqlCombinHelper::select_sql($this->table, $this->fields, $conf);       
        if($order) {
            $sql .= " ORDER BY $order";
        }
        if($limit && $offset){
          $sql .= " LIMIT ".$offset.",".$limit;
         }elseif($limit) {
            $sql .= " LIMIT $limit";
        }

        return $this->db->GetAll($sql);
    }


    
        /*
     * 根据经纪人id查找
     */
    public function findByBroker($broker) {
        $sql = SqlCombinHelper::select_sql($this->table, $this->fields,"broker_id=$broker");
        return $this->dbback->GetRow($sql);
    }

    
   
    

    
    
    
    
}
